## NAS Get Home Network request NAS Get Home Network request |

## Functions

QmiMessageNasGetHomeNetworkOutput * | qmi_message_nas_get_home_network_output_ref ()
void | qmi_message_nas_get_home_network_output_unref ()
gboolean | qmi_message_nas_get_home_network_output_get_network_name_source ()
gboolean | qmi_message_nas_get_home_network_output_get_home_network_3gpp_mnc ()
gboolean | qmi_message_nas_get_home_network_output_get_home_network_3gpp2_ext ()
gboolean | qmi_message_nas_get_home_network_output_get_home_system_id ()
gboolean | qmi_message_nas_get_home_network_output_get_result ()
gboolean | qmi_message_nas_get_home_network_output_get_home_network ()
void | qmi_client_nas_get_home_network ()
QmiMessageNasGetHomeNetworkOutput * | qmi_client_nas_get_home_network_finish ()

## Types and Values

| QmiMessageNasGetHomeNetworkOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageNasGetHomeNetworkOutput

## Description

## Functions

### qmi_message_nas_get_home_network_output_ref ()

    QmiMessageNasGetHomeNetworkOutput *
    qmi_message_nas_get_home_network_output_ref
                                   (QmiMessageNasGetHomeNetworkOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetHomeNetworkOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_get_home_network_output_unref ()

    void
    qmi_message_nas_get_home_network_output_unref
                                   (QmiMessageNasGetHomeNetworkOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetHomeNetworkOutput. |

Since: 1.0

### qmi_message_nas_get_home_network_output_get_network_name_source ()

    gboolean
    qmi_message_nas_get_home_network_output_get_network_name_source
                                   (QmiMessageNasGetHomeNetworkOutput *self,
                                    QmiNasNetworkNameSource *value_network_name_source,
                                    GError **error);

Get the 'Network Name Source' field from `self` .

#### Parameters

self | a QmiMessageNasGetHomeNetworkOutput. |
value_network_name_source | a placeholder for the output QmiNasNetworkNameSource, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_nas_get_home_network_output_get_home_network_3gpp_mnc ()

    gboolean
    qmi_message_nas_get_home_network_output_get_home_network_3gpp_mnc
                                   (QmiMessageNasGetHomeNetworkOutput *self,
                                    gboolean *value_home_network_3gpp_mnc_is_3gpp,
                                    gboolean *value_home_network_3gpp_mnc_includes_pcs_digit,
                                    GError **error);

Get the 'Home Network 3GPP MNC' field from `self` .

#### Parameters

self | a QmiMessageNasGetHomeNetworkOutput. |
value_home_network_3gpp_mnc_is_3gpp | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_home_network_3gpp_mnc_includes_pcs_digit | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_home_network_output_get_home_network_3gpp2_ext ()

    gboolean
    qmi_message_nas_get_home_network_output_get_home_network_3gpp2_ext
                                   (QmiMessageNasGetHomeNetworkOutput *self,
                                    guint16 *value_home_network_3gpp2_ext_mcc,
                                    guint16 *value_home_network_3gpp2_ext_mnc,
                                    QmiNasNetworkDescriptionDisplay *value_home_network_3gpp2_ext_display_description,
                                    QmiNasNetworkDescriptionEncoding *value_home_network_3gpp2_ext_description_encoding,
                                    GArray **value_home_network_3gpp2_ext_description,
                                    GError **error);

Get the 'Home Network 3GPP2 Ext' field from `self` .

#### Parameters

self | a QmiMessageNasGetHomeNetworkOutput. |
value_home_network_3gpp2_ext_mcc | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_home_network_3gpp2_ext_mnc | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_home_network_3gpp2_ext_display_description | a placeholder for the output QmiNasNetworkDescriptionDisplay, or `NULL` if not required. | [out]
value_home_network_3gpp2_ext_description_encoding | a placeholder for the output QmiNasNetworkDescriptionEncoding, or `NULL` if not required. | [out]
value_home_network_3gpp2_ext_description | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24.6

### qmi_message_nas_get_home_network_output_get_home_system_id ()

    gboolean
    qmi_message_nas_get_home_network_output_get_home_system_id
                                   (QmiMessageNasGetHomeNetworkOutput *self,
                                    guint16 *value_home_system_id_sid,
                                    guint16 *value_home_system_id_nid,
                                    GError **error);

Get the 'Home System ID' field from `self` .

#### Parameters

self | a QmiMessageNasGetHomeNetworkOutput. |
value_home_system_id_sid | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_home_system_id_nid | a placeholder for the output guint16, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_home_network_output_get_result ()

    gboolean
    qmi_message_nas_get_home_network_output_get_result
                                   (QmiMessageNasGetHomeNetworkOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasGetHomeNetworkOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_message_nas_get_home_network_output_get_home_network ()

    gboolean
    qmi_message_nas_get_home_network_output_get_home_network
                                   (QmiMessageNasGetHomeNetworkOutput *self,
                                    guint16 *value_home_network_mcc,
                                    guint16 *value_home_network_mnc,
                                    const gchar **value_home_network_description,
                                    GError **error);

Get the 'Home Network' field from `self` .

#### Parameters

self | a QmiMessageNasGetHomeNetworkOutput. |
value_home_network_mcc | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_home_network_mnc | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_home_network_description | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_client_nas_get_home_network ()

    void
    qmi_client_nas_get_home_network (QmiClientNas *self,
                                     gpointer unused,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Get Home Network request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_get_home_network_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_nas_get_home_network_finish ()

    QmiMessageNasGetHomeNetworkOutput *
    qmi_client_nas_get_home_network_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_get_home_network()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_get_home_network()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasGetHomeNetworkOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_get_home_network_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageNasGetHomeNetworkOutput

    typedef struct _QmiMessageNasGetHomeNetworkOutput QmiMessageNasGetHomeNetworkOutput;

The QmiMessageNasGetHomeNetworkOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0